FROM python:3.11

#cette image permet d'avoir l'env python ainsi que le mode "reload on change", pratique quand on modifie les sources *.py

# maj des packages dispo
RUN apt-get update

#ldap pour le pip install python-ldap car apt-get python-ldap marche po
RUN apt-get install -y libsasl2-dev python3-dev libldap2-dev libssl-dev ldap-utils

#pour l'api soap sympa', perl est déjà installé mais il faut les modules suivant
RUN cpan App::cpanminus
RUN cpanm SOAP::Lite XML::LibXML MIME::EncWords Text::LineFold Class::Singleton Locale::Messages

#installer le truc de génération de mot de mdp
RUN apt-get -y install apg

#installer mmctl pour mattermost
RUN mkdir -p /mm/ && cd /mm/ && \
		curl -vfsSL -O https://releases.mattermost.com/mmctl/v9.7.1/linux_amd64.tar && \
		tar -xf linux_amd64.tar 

#l'api Kaz
RUN mkdir /usr/src/app/
COPY . /usr/src/app/
WORKDIR /usr/src/app/
EXPOSE 5000

#les modules python à installer lors du build
RUN pip install -r requirements.txt
CMD ["python", "app.py"]
